Bug 444168 - Simpy file size setting in virt-manager forgets value when moving between screens
Simpy file size setting in virt-manager forgets value when moving between scr...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
9
i686 Linux
low Severity low
: ---
: ---
Assigned To: Cole Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-25 12:01 EDT by Shawn Wells
Modified: 2008-12-21 03:28 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-21 03:28:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shawn Wells 2008-04-25 12:01:30 EDT
Description of problem:
When creating a guest using virt-manager, and using a simple file as the image,
you will be brought to a screen that asks how large to make said simple file.

You fill out a value, and click next.  But alas, something goes wrong and you
have to click "Back" a few times.  By the time you get to the "simple file"
screen, it reverts back to 4000, forgetting the value the user entered.

Version-Release number of selected component (if applicable):
# rpm -qa | grep virt-manager
virt-manager-0.5.4-3.fc9.i386

How reproducible:
Every time

Steps to Reproduce:
1. Attempt to make a guest through virt-manager that makes use of a simple file 
2. Enter a value for the simple file size, say 5000, and click next a few times.
3. Click "Back" until you're at a screen BEFORE the "simple file size" field.
4. Click "Forward" until you're to the "simple file size" field, and note the
value is now 4000
  
Actual results:


Expected results:


Additional info:
Comment 1 Cole Robinson 2008-05-07 09:46:51 EDT
Hi, this was fixed upstream a couple months ago:

http://hg.et.redhat.com/virt/applications/virt-manager--devel?cs=523f2f7501c6

It is also available in virt-manager 0.5.4 in fedora 9. Putting bug in POST.
Comment 2 Bug Zapper 2008-05-14 06:09:53 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora Update System 2008-12-01 13:10:30 EST
virt-manager-0.6.0-0.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/virt-manager-0.6.0-0.fc9
Comment 4 Fedora Update System 2008-12-01 13:23:25 EST
virt-manager-0.6.0-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/virt-manager-0.6.0-1.fc9
Comment 5 Shawn Wells 2008-12-01 23:07:29 EST
Rock on guys, this is great to hear!
Comment 6 Fedora Update System 2008-12-02 20:30:18 EST
virt-manager-0.6.0-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update virt-manager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-10705
Comment 7 Shawn Wells 2008-12-02 21:01:02 EST
# yum --enablerepo=updates-testing-newkey update virt-managerLoaded plugins: refresh-packagekit, upgrade-helper
Setting up Update Process
No Packages marked for Update

I do not see this package in the test repo.  My current version (in F9),

# rpm -qa | grep virt-manager
virt-manager-0.5.4-5.fc9.i386
Comment 8 Cole Robinson 2008-12-03 09:12:15 EST
I can see it from my box. It might just take some time to propagate.
Comment 9 Fedora Update System 2008-12-21 03:27:24 EST
virt-manager-0.6.0-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.